Skip to main content
GET
List account trades in a time range

Authorizations

Authorization
string
header
required

Bearer token used for protected REST API requests.

Path Parameters

accountID
string
required

Trading account identifier. The authenticated user must be allowed to access this account.

start_time
integer<int64>
required

Start of the time range as Unix timestamp in milliseconds.

end_time
integer<int64>
required

End of the time range as Unix timestamp in milliseconds.

Response

Trade records matching the account and time range.

persisState
string

Serialized persistence state associated with the trade.

orderID
string

System order identifier.

refOrderID
string

Client reference order identifier.

externalOrderID
string

External broker order identifier.

tradeID
string

Unique trade execution identifier.

accountID
string

Trading account identifier.

symbol
string

Traded symbol.

orderSide
enum<string>

B for buy, S for sell.

Available options:
B,
S
tradedPrice
number

Execution price.

tradedQty
number

Executed quantity.

unixUTCTimeMs
number

Execution timestamp in Unix milliseconds UTC.

algoID
string

Algo identifier associated with the trade, if any.

positionID
string

Position identifier associated with the trade, if any.

toHedge
boolean

Whether the trade belongs to a hedge flow.